
%global commit 5f2cb26275da797165b400ea747484113139c1a5 
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global prerelease 20131003

Name:           lv2-fabla
Version:        1.1
Release:        3.3.%{prerelease}git%{shortcommit}%{?dist}
Summary:        An LV2 drum sequencer

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://openavproductions.com/fabla/
Source0:        https://github.com/harryhaaren/openAV-Fabla/archive/%{shortcommit}.tar.gz

BuildRequires:  faust
BuildRequires:  non-ntk-devel
BuildRequires:  libsndfile-devel
BuildRequires:  cairomm-devel
BuildRequires:  lv2-devel
Requires:       lv2

%description
%{name} is a drum sampler plugin instrument. It is ideal for loading up your
favorite sampled sounds and bashing away on a MIDI controller. Or if it’s 
crafty beat programming your after that’s cool too! The ADSR envelope allows
the shaping of hi-hats and kicks while the compressor beefs up the sound for 
those thumping kicks!
Additional presets can be found at:
   https://github.com/harryhaaren/openAV-presets

%prep
%setup -q -n openAV-Fabla-%{commit}
sed -i -e "s|-Wall|%{optflags}|" \
 -e 's|~/.lv2/|$(DESTDIR)|' makefile

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_libdir}/lv2
make install DESTDIR=%{buildroot}%{_libdir}/lv2

%files
%doc README LICENSE
%{_libdir}/lv2/*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3.3.20131003git5f2cb26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2.3.20131003git5f2cb26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Oct 26 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.3.20131003git5f2cb26
- Remove additional presets, update description

* Fri Oct 25 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.2.20101003git5f2cb26
- Remove durtySouth kit

* Sun Oct 13 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.1-1.1.20131003git5f2cb26
- Clean up git URLs and sources
- Split presets into separate package

* Tue Sep 10 2013 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-0.1.gite8fb937
- Initial package

